dbXML API

## com.dbxml.db.client.xmldb
Class DatabaseImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.DatabaseImpl

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Database

public final class DatabaseImpl
extends java.lang.Object
implements org.xmldb.api.base.Database, org.xmldb.api.base.Configurable

DatabaseImpl implements the XML:DB Database interface for dbXML. The URL form is: dbxml://[server]:[port]/[collection-path]

Constructor Summary
`DatabaseImpl()`

Method Summary
`boolean` `acceptsURI(java.lang.String uri)`
`org.xmldb.api.base.Collection` `getCollection(java.lang.String uri, java.lang.String username, java.lang.String password)`
`java.lang.String` `getConformanceLevel()`
`java.lang.String` `getName()`
`java.lang.String` `getProperty(java.lang.String name)`
`void` `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseImpl

    public DatabaseImpl()

Method Detail

### getName

    public java.lang.String getName()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getName` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getCollection

    public org.xmldb.api.base.Collection getCollection(java.lang.String uri,
                                                       java.lang.String username,
                                                       java.lang.String password)
                                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getCollection` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### acceptsURI

    public boolean acceptsURI(java.lang.String uri)
                       throws org.xmldb.api.base.XMLDBException

  Specified by:
    `acceptsURI` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getConformanceLevel

    public java.lang.String getConformanceLevel()
                                         throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getConformanceLevel` in interface `org.xmldb.api.base.Database`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group